﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script type="text/C#" runat="server">
    protected void TextChanged(object sender, EventArgs e)
    {
        Label1.Text = "Updated on: " + DateTime.Now.ToString();
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-size:14px;
            font-family:Trebuchet MS, Arial;
        }
        
        fieldset
        {
            margin: 10px;
        }
        
        #Button1,
        #LinkButton1
        {
            margin: 10px auto;
            display:block;
            text-align:center;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Path="FocusPersister.js" />
        </Scripts>
    </asp:ScriptManager>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="RadAjaxLoadingPanel1">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="Panel1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="Panel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Hay" MinDisplayTime="500">
    </telerik:RadAjaxLoadingPanel>
    
    <div>
        <fieldset style="position:absolute;left:300px;">
            <legend>Configure</legend>
            <asp:CheckBox runat="server" onclick="FocusPersister.set_excludeButtons(this.checked);" Text="Exclude buttons" /><br />
            <asp:CheckBox runat="server" onclick="FocusPersister.set_excludeLinks(this.checked);" Text="Exclude link" />
            <fieldset>
                <legend>Selection on focus</legend>
                <asp:RadioButtonList ID="RadioButtonList1" runat="server">
                    <asp:ListItem Text="Caret to beginning" Value="CaretToBeginning" 
                        onclick="FocusPersister.set_selectionOnFocus(FocusPersister.SelectionOnFocus.CaretToBeginning);">
                    </asp:ListItem>
                    <asp:ListItem Text="Caret to end" Value="CaretToEnd"
                        onclick="FocusPersister.set_selectionOnFocus(FocusPersister.SelectionOnFocus.CaretToEnd);">
                    </asp:ListItem>
                    <asp:ListItem Text="Select all" Value="SelectAll"
                        onclick="FocusPersister.set_selectionOnFocus(FocusPersister.SelectionOnFocus.SelectAll);">
                    </asp:ListItem>
                    <asp:ListItem Text="None" Value="None" Selected="True"
                        onclick="FocusPersister.set_selectionOnFocus(FocusPersister.SelectionOnFocus.None);">
                    </asp:ListItem>
                </asp:RadioButtonList>
            </fieldset>
        </fieldset>

        <asp:Panel ID="Panel1" runat="server" Width="240px">
            <fieldset>
                <legend>Standard ASP.NET TextBox</legend>
                <asp:TextBox ID="TextBox1" runat="server" AutoPostBack="true" OnTextChanged="TextChanged" />
            </fieldset>
                
            <fieldset>
                <legend>RadTextBox</legend>
                <telerik:RadTextBox ID="RadTextBox1" runat="server" AutoPostBack="true" OnTextChanged="TextChanged" />
            </fieldset>

            <fieldset>
                <legend>RadNumericTextBox</legend>
                <telerik:RadNumericTextBox ID="RadNumericTextBox1" runat="server" AutoPostBack="true" OnTextChanged="TextChanged" />
            </fieldset>

            <fieldset>
                <legend>RadDateInput</legend>
                <telerik:RadDateInput ID="RadDateInput1" runat="server" OnTextChanged="TextChanged" AutoPostBack="true" />
            </fieldset>
                
            <fieldset>
                <legend>RadMaskedTextBox</legend>
                <telerik:RadMaskedTextBox ID="RadMaskedTextBox1" runat="server" Mask="#####" AutoPostBack="true" OnTextChanged="TextChanged" />
            </fieldset>

            <asp:Button ID="Button1" runat="server" Text="Postback from Button" OnClick="TextChanged" />
            <asp:LinkButton ID="LinkButton1" runat="server" Text="Postback from LinkButton" OnClick="TextChanged"></asp:LinkButton>

            <asp:Label ID="Label1" runat="server"></asp:Label>
        </asp:Panel>
    </div>
    
    </form>
</body>
</html>
